<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabase..::.KeyGen Property
SecondaryDatabase Class See Also Send Feedback

The delegate that creates the set of secondary keys corresponding to a given primary key and data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.23.0

# Syntax

C#

    public SecondaryKeyGenDelegate KeyGen { get; private set; }

Visual Basic (Declaration)

    Public Property KeyGen As SecondaryKeyGenDelegate

Visual C++

    public:
    property SecondaryKeyGenDelegate^ KeyGen {
    	SecondaryKeyGenDelegate^ get ();
    	void set (SecondaryKeyGenDelegate^ value);
    }

# See Also

SecondaryDatabase Class
BerkeleyDB Namespace